Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.util
Class ResourceBundleWrapper

    java.lang.Object
      org.jfree.util.ResourceBundleWrapper

    public class ResourceBundleWrapper

extends java.lang.Object

Wrapper of ResourceBundle.getBundle() methods. This wrapper is introduced to avoid a dramatic performance penalty by superfluous resource (and classes loaded by Class.forName) lookups on web server in applets.

     public class AppletC extends javax.swing.JApplet {
        public void init() {
           ResourceBundleWrapper.removeCodeBase(getCodeBase(),
                   (URLClassLoader) getClass().getClassLoader());
        ...

Since:
  1.0.15
See Also:
  Bug ID: 4243379, Bug ID: 4668479

Method Summary
`static java.util.ResourceBundle` | `getBundle(java.lang.String baseName)` Finds and returns the specified resource bundle.
`static java.util.ResourceBundle` | `getBundle(java.lang.String baseName, java.util.Locale locale)` Finds and returns the specified resource bundle.
`static java.util.ResourceBundle` | `getBundle(java.lang.String baseName, java.util.Locale locale, java.lang.ClassLoader loader)` Maps directly to `ResourceBundle.getBundle(baseName, locale, loader)`.
`static void` | `removeCodeBase(java.net.URL codeBase, java.net.URLClassLoader urlClassLoader)` Instantiate a `URLClassLoader` for resource lookups where the codeBase URL is removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### removeCodeBase

    public static void removeCodeBase(java.net.URL codeBase,
                                      java.net.URLClassLoader urlClassLoader)

  Instantiate a `URLClassLoader` for resource lookups where the codeBase URL is removed. This method is typically called from an applet's init() method. If this method is never called, the `getBundle()` methods map to the standard `ResourceBundle` lookup methods.

  Parameters:
    `codeBase` - the codeBase URL.
    `urlClassLoader` - the class loader.

### getBundle

    public static final java.util.ResourceBundle getBundle(java.lang.String baseName)

  Finds and returns the specified resource bundle.

  Parameters:
    `baseName` - the base name.
  Returns:
    The resource bundle.

### getBundle

    public static final java.util.ResourceBundle getBundle(java.lang.String baseName,
                                                           java.util.Locale locale)

  Finds and returns the specified resource bundle.

  Parameters:
    `baseName` - the base name.
    `locale` - the locale.
  Returns:
    The resource bundle.

### getBundle

    public static java.util.ResourceBundle getBundle(java.lang.String baseName,
                                                     java.util.Locale locale,
                                                     java.lang.ClassLoader loader)

  Maps directly to `ResourceBundle.getBundle(baseName, locale, loader)`.

  Parameters:
    `baseName` - the base name.
    `locale` - the locale.
    `loader` - the class loader.
  Returns:
    The resource bundle.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD